﻿Imports Microsoft.WindowsAzure.ServiceRuntime
Module modUtils
  Public bIsAzure As Boolean = False
  Public sMySetting As String = ""

  Public Sub LoadSettings()
    bIsAzure = IIf(RoleEnvironment.IsAvailable, True, False)
    sMySetting = GetSetting("MySetting")
  End Sub
  Function GetSetting(ByVal sSettingName As String) As String
    Dim sReturn As String = ""

    Try
      If bIsAzure Then
        sReturn = RoleEnvironment.GetConfigurationSettingValue(sSettingName)
      Else
        sReturn = ConfigurationSettings.AppSettings(sSettingName)
      End If

    Catch ex As Exception
      'LogMessage("Error retrieving setting '" + sSettingName + "'; Exception: " + ex.ToString, EventLogEntryType.Information)
      sReturn = ""
    End Try

    Return sReturn
  End Function

End Module
